import 'package:http/http.dart' as http;
import 'package:info_tren/models/train_data.dart';

const AUTHORITY = 'scraper.infotren.dcdevelop.xyz';

Future<TrainData> getTrain(String trainNumber) async {
  final response = await http.get(Uri.https(AUTHORITY, 'v2/train/$trainNumber'));
  return trainDataFromJson(response.body);
}