import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:info_tren/pages/train_info_page/select_train/select_train.dart';

class SelectTrainPageStateMaterial extends SelectTrainPageState {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(pageTitle),
        centerTitle: true,
      ),
      body: SafeArea(
        bottom: false,
        child: Column(
          mainAxisSize: MainAxisSize.max,
          children: <Widget>[
            Padding(
              padding: const EdgeInsets.all(4),
              child: TextField(
                controller: trainNoController,
                autofocus: true,
                decoration: InputDecoration(
                  border: OutlineInputBorder(),
                  labelText: textFieldLabel,
                ),
                inputFormatters: [
                  FilteringTextInputFormatter.digitsOnly,
                ],
                textInputAction: TextInputAction.search,
                keyboardType: TextInputType.number,
                onChanged: (_) => onTextChanged(),
              ),
            ),
            Expanded(
              child: suggestionsList,
            ),
          ],
        ),
      ),
    );
  }
}
