import 'package:flutter/cupertino.dart';
import 'package:info_tren/pages/train_info_page/train_info_constants.dart';

class CupertinoDivider extends StatelessWidget {
  final Color color;

  CupertinoDivider({Key? key, Color? color}):
  color = color ?? FOREGROUND_DARK_GREY,
  super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisSize: MainAxisSize.min,
      children: <Widget>[
        Container(
          height: 1,
        ),
        Container(
          height: 1,
          decoration: BoxDecoration(
            color: color,
          ),
        ),
        Container(
          height: 1,
        ),
      ],
    );
  }
}

class CupertinoVerticalDivider extends StatelessWidget {
  final Color color;

  CupertinoVerticalDivider({Key? key, Color? color}):
  color = color ?? FOREGROUND_DARK_GREY,
  super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisSize: MainAxisSize.min,
      children: <Widget>[
        Container(
          width: 1,
        ),
        Container(
          width: 1,
          decoration: BoxDecoration(
            color: color,
          ),
        ),
        Container(
          width: 1,
        ),
      ],
    );
  }
}
