import 'package:flutter/material.dart';
import 'package:info_tren/components/loading/loading.dart';

class LoadingMaterial extends LoadingCommon {
  LoadingMaterial({required String text}) : super(text: text,);

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.center,
        mainAxisSize: MainAxisSize.min,
        children: [
          Padding(
            padding: const EdgeInsets.all(8.0),
            child: CircularProgressIndicator(),
          ),
          Padding(
            padding: const EdgeInsets.all(8.0),
            child: Text(text),
          ),
        ],
      ),
    );
  }
}