import 'package:flutter/cupertino.dart';
import 'package:flutter/services.dart';
import 'package:info_tren/pages/train_info_page/select_train/select_train.dart';

class SelectTrainPageStateCupertino extends SelectTrainPageState {
  @override
  Widget build(BuildContext context) {
    return CupertinoPageScaffold(
      navigationBar: CupertinoNavigationBar(
        middle: Text(pageTitle),
      ),
      child: SafeArea(
        bottom: false,
        child: Column(
          mainAxisSize: MainAxisSize.max,
          children: <Widget>[
            Padding(
              padding: const EdgeInsets.all(4),
              child: CupertinoTextField(
                controller: trainNoController,
                autofocus: true,
                placeholder: textFieldLabel,
                textInputAction: TextInputAction.search,
                keyboardType: TextInputType.number,
                onChanged: (_) => onTextChanged(),
                inputFormatters: [
                  FilteringTextInputFormatter.digitsOnly,
                ],
              ),
            ),
            Expanded(
              child: suggestionsList,
            ),
          ],
        ),
      ),
    );
  }
}
